commit:     4a3fb7edc8c2a8ed69959f6b9328c6b612f8761b
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 20 22:44:59 2015 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Nov 20 22:44:59 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a3fb7ed

dev-java/jmdns: Keyword for ppc+ppc64.

Package-Manager: portage-2.2.20.1
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 dev-java/jmdns/jmdns-3.4.1-r1.ebuild | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/dev-java/jmdns/jmdns-3.4.1-r1.ebuild 
b/dev-java/jmdns/jmdns-3.4.1-r1.ebuild
new file mode 100644
index 0000000..2ccf9ad
--- /dev/null
+++ b/dev-java/jmdns/jmdns-3.4.1-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+JAVA_PKG_IUSE="doc examples source test"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="JmDNS is an implementation of multi-cast DNS in Java"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tgz"
+HOMEPAGE="http://jmdns.sourceforge.net";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+DEPEND=">=virtual/jdk-1.6"
+RDEPEND=">=virtual/jre-1.6"
+
+JAVA_SRC_DIR="src"
+
+src_prepare() {
+       rm "${S}"/build.xml || die
+       find -name "*.jar" -delete || die
+       find "${JAVA_SRC_DIR}" -name "*Test.java" -delete || die
+}

Reply via email to